> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a CardProduct

export const ParamList = ({items = [], is_child = false}) => {
  return items.map(item => {
    const field_props = {
      id: Math.random().toString(),
      body: item.name,
      name: item.name,
      type: item.type,
      required: item.required
    };
    const enums = item.enums || [];
    const items = item.items || [];
    const has_items = items?.length > 0;
    const has_enums = enums?.length > 0;
    const should_default_open = item.defaultOpen || false;
    const render_child_item = () => {
      const child_props = {
        title: has_enums ? "Possible enum values" : "properties"
      };
      if (should_default_open) child_props.defaultOpen = true;
      const has_inline_enums = has_enums && enums.every(enum_item => typeof enum_item === 'string') && enums.map((enum_item, idx) => {
        const is_last = idx === enums.length - 1;
        const is_2nd_to_last = idx === enums.length - 2;
        return <>
            <code>{enum_item}</code>
            {is_last && ''}
            {is_2nd_to_last && ' or '}
            {!is_last && !is_2nd_to_last && ', '}
          </>;
      });
      const enum_list = has_enums && !has_inline_enums && <Accordion {...child_props}>
          {enums.map((enum_item, index) => <div key={`enum-${index}`}>
              <code>{enum_item.name}</code>
              <br />
              <p>{enum_item.description}</p>
            </div>)}
        </Accordion>;
      const item_list = has_items && <Expandable {...child_props}>
          <ParamList items={items || []} is_child />
        </Expandable>;
      return <>
          <p>
            {item.description}
            {has_inline_enums && [has_inline_enums.length > 1 ? ' One of ' : ' Must be ', ...has_inline_enums]}
          </p>

          {enum_list}
          {item_list}
        </>;
    };
    return is_child ? <ResponseField {...field_props}>{render_child_item()}</ResponseField> : <ParamField {...field_props}>{render_child_item()}</ParamField>;
  });
};

Returns the CardProduct object associated with the ID.

## Path Parameters

<ParamList
  items={[
{
name: 'product_id',
type: 'string',
required: true,
description: 'ID of the CardProduct',
},
]}
/>

## Returns

Returns the CardProduct object associated with the ID.

<RequestExample>
  ```bash cURL theme={null}
  curl https://production.methodfi.com/card_products/pdt_17 \
    -H "Method-Version: 2026-03-30" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
  ```

  ```javascript Node.js theme={null}
  const card_product = await method.card_products.retrieve('pdt_17');
  ```

  ```python Python theme={null}
  card_product = method.card_products.retrieve('pdt_17')
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "id": "pdt_17",
    "name": "Chase Freedom",
    "issuer": "Chase",
    "type": "specific",
    "brands": [
      {
          "id": "pdt_17_brd_1",
          "description": "Chase Freedom",
          "network": "visa",
          "network_tier": "signature",
          "default_image": "https://static.methodfi.com/card_brands/fb5fbd6a5d45b942752b9dc641b93d1f.png"
      },
      {
          "id": "pdt_17_brd_2",
          "description": "Chase Freedom",
          "network": "visa",
          "network_tier": "standard",
          "default_image": "https://static.methodfi.com/card_brands/6cb697528b0771f982f7c0e8b8869de3.png"
      }
    ]
  }
  ```
</ResponseExample>
